function Util() {
}
Util.cutOffString = function(max, str) {
	if(Util.blen(str) > max) {
		return Util.bsubstring(str, max - 2) + ".."
	} else {
		return str
	}
}

Util.bsubstring = function(str, to) {
	var bindex = 0
	for(var i = 0; i < str.length; i++) {
		bindex += str.charAt(i) >= '' ? 2 : 1
		if(bindex > to) {
			return str.substring(0, i)
		}
	}
	return str
}

Util.blen = function(str) {
	var result = 0
	for(var i = 0; i < str.length; i++) {
		result += str.charAt(i) >= '' ? 2 : 1
	}
	return result
}

Util.getAbsLeft = function (oNode) {
	var oCurrentNode=oNode;
	var iLeft=0;
	while(oCurrentNode.tagName!="BODY"){
		iLeft+=oCurrentNode.offsetLeft;
		oCurrentNode=oCurrentNode.offsetParent;
	}
	return iLeft;
}
Util.getAbsTop = function(oNode) {
	var oCurrentNode=oNode;
	var iTop=0;
	while(oCurrentNode.tagName!="BODY"){
		iTop+=oCurrentNode.offsetTop;
		oCurrentNode=oCurrentNode.offsetParent;
	}
	return iTop;
}

Util.blinkIndicator = function(x, y, timeout, id) {
	var element = document.getElementById(id)
	element.style.left = x + "px"
	element.style.top = y + "px"
	element.style.display = "block"
	
	var f = function() {
		element.style.display = "none"
	}
	setTimeout(f, timeout)
}

Util.getQuery = function(aKey) {
	var qs = location.search.substring(1).replace(/\+/g, ' ')
	if (qs.length == 0) return null
	
	var pairs = qs.split('&')
	for (var i = 0; i < pairs.length; i++) {
		var pair = pairs[i].split('=')
		if(pair[0] == aKey) return pair[1]
	}
	return null
}
