var curTab = "person"

function switchToGroup() {
	if(curTab == "group") return
	curTab = "group"

	applyFilter(0)

	var addrBookTab = document.getElementById("addrBookTab")
	var activeGroupTab = document.getElementById("pActiveGroupTab").cloneNode(true)
	var inactivePersonTab = document.getElementById("pInactivePersonTab").cloneNode(true)
	addrBookTab.replaceChild(inactivePersonTab, addrBookTab.cells[0])
	addrBookTab.replaceChild(activeGroupTab, addrBookTab.cells[1])
	document.getElementById("groupPanel").style.display = "block"
	document.getElementById("personPanel").style.display = "none"
}

function switchToPerson() {
	if(curTab == "person") return
	curTab = "person"

	applyFilter(0)

	var addrBookTab = document.getElementById("addrBookTab")
	var activePersonTab = document.getElementById("pActivePersonTab").cloneNode(true)
	var inactiveGroupTab = document.getElementById("pInactiveGroupTab").cloneNode(true)
	addrBookTab.replaceChild(activePersonTab, addrBookTab.cells[0])
	addrBookTab.replaceChild(inactiveGroupTab, addrBookTab.cells[1])
	document.getElementById("groupPanel").style.display = "none"
	document.getElementById("personPanel").style.display = "block"
}

var curFilterIndex = 0
var openedGroups = new Array()

// , ̹  ޴ Ѹ Լ
function filterImageOn(index) {
	document.images['img'+index].src="http://mailimg.hanmail.net/05add/tab03_on_0"+index+".gif";
}
function filterImageOff(index) {
	if(curFilterIndex == index) return
	document.images['img'+index].src="http://mailimg.hanmail.net/05add/tab03_off_0"+index+".gif";
}
function filterImageSwitch(index) {
	var oldFilterIndex = curFilterIndex
	curFilterIndex = index
	if(oldFilterIndex != -1) filterImageOff(oldFilterIndex)
	filterImageOn(curFilterIndex)
}
function applyFilter(index) {
	if(curTab == "person") {
		filterImageSwitch(index)
		personBook.showTable(index)
	} else {
		filterImageSwitch(index)
		for(var i = 0; i < groupBooks.length; i++) {
			for(var j = 0; j < openedGroups.length; j++) {
				if(groupBooks[i].grpSeq == openedGroups[j]) {
					groupBooks[i].book.showTable(index)
				}
			}
		}
	}
}
function addTo(to) {
	if(curTab == "person") {
		personBook.addTo(to)
	} else {
		for(var i = 0; i < groupBooks.length; i++) {
			for(var j = 0; j < openedGroups.length; j++) {
				if(groupBooks[i].grpSeq == openedGroups[j]) {
					if(groupBooks[i].book.isSelectedAll() && groupBooks[i].grpSeq != -1 && useGroupName) {
						groupBooks[i].book.addGroupTo(to, groupBooks[i].name + " (׷)")
					} else {
						groupBooks[i].book.addTo(to)
					}
				}
			}
		}
	}
}
function removeFrom(to) {
	if(curTab == "person") {
		personBook.removeFrom(to)
	} else {
		personBook.removeFrom(to)
	}
}
function search() {
	var key = document.getElementById("searchKey").value
	var value = document.getElementById("searchValue").value
	switchToPerson()
	filterImageSwitch(17)
	personBook.search(key, value, 17)
}

// Tree
function toggleTree(grpSeq) {
	var row = document.getElementById("tree_" + grpSeq + "_" + curFilterIndex)
	var treeImage = document.getElementById("treeImage_" + grpSeq)
	var treeFolderImage = document.getElementById("treeFolderImage_" + grpSeq)

	if(row.style.display == "none") {
		openedGroups.push(grpSeq)

		row.style.display = "block"
		treeImage.src="http://mailimg.hanmail.net/05add/i_minus_3.gif"
		treeFolderImage.src="http://mailimg.hanmail.net/05add/i_folder_open.gif"

		for(var i = 0; i < groupBooks.length; i++) {
			if(groupBooks[i].grpSeq == grpSeq) {
				groupBooks[i].book.showTable(curFilterIndex, true)
			}
		}
	} else {
		row.style.display = "none"
		treeImage.src="http://mailimg.hanmail.net/05add/i_plus_3.gif"
		treeFolderImage.src="http://mailimg.hanmail.net/05add/i_folder_close.gif"
		for(var i = 0; i < openedGroups.length; i++) {
			if(openedGroups[i] == grpSeq) {
				openedGroups.splice(i,1)
				break;
			}
		}
	}
}

// Group sort
var groupSorter = null

function groupSort() {
	if(groupSorter == null) groupSorter = new TwoRowTableSorter(document.getElementById("groupTable"), "̺з")
	groupSorter.toggleSort(1)
}

function TwoRowTableSorter(table, except) {
	this.table = table
	this.tbody = this.table.tBodies[0]
	this.except = except
	this.sortStatus = new Array()
}
TwoRowTableSorter.prototype.toggleSort = function(colIndex) {
	if(typeof this.sortStatus[colIndex] == "undefined") this.sortStatus[colIndex] = true
	this.sortStatus[colIndex] = !this.sortStatus[colIndex]
	this.sort(colIndex, this.sortStatus[colIndex])
}
TwoRowTableSorter.prototype.sort = function(colIndex, ascending) {
	var cols = this._getColumns(colIndex)
	var oThis = this;
	if(ascending) {
		cols.sort(function(n1, n2) {
			if (n1.value == oThis.except) return -1
			if (n2.value == oThis.except) return 1
			if (n1.value < n2.value) return -1
			if (n2.value < n1.value) return 1
			return 0
		})
	} else {
		cols.sort(function(n1, n2) {
			if (n1.value == oThis.except) return -1
			if (n2.value == oThis.except) return 1
			if (n1.value < n2.value) return 1
			if (n2.value < n1.value) return -1
			return 0
		})
	}

	this.table.removeChild(this.tbody)
	this.tbody = document.createElement("TBODY")

	for(var i = 0; i < cols.length; i++) {
		this.tbody.appendChild(cols[i].rows[0])
		this.tbody.appendChild(cols[i].rows[1])
	}

	this.table.appendChild(this.tbody)
}
TwoRowTableSorter.prototype._getColumns = function(colIndex) {
	var rows = this.tbody.rows
	var length = rows.length
	var array = new Array(length / 2)
	for (var i = 0; i < length / 2; i++) {
		array[i] = {
			value: rows[i * 2].cells[colIndex].childNodes[0].innerHTML,
			rows: [rows[i * 2], rows[i * 2 + 1]]}
	}
	return array;
}
function getGroupBook(grpSeq) {
	for(var i = 0; i < groupBooks.length; i++) {
		if(groupBooks[i].grpSeq == grpSeq) return groupBooks[i]
	}
	return null
}

// Insert New Item
var ARRAY_DELIM = ",";
var FIELD_DELIM = "-|-";
insertNewItem = function() {
	var name = Trim(document.getElementById("newItemName").value)
	var email = document.getElementById("newItemEmail").value
	var phone = document.getElementById("newItemPhone1").value + "-" + document.getElementById("newItemPhone2").value + "-" + document.getElementById("newItemPhone3").value
	if(phone == "--") phone = ""
	var cphone = ""
	var homePhone = ""
	var officePhone = ""
	eval("var " + phoneType + " = phone")
	var addr = {name:name,email:email,cphone:cphone,homePhone:homePhone,officePhone:officePhone,office:""}
	if(isDuplicateAddress(addr))
		return
	if(!validateAddress(addr))
		return

	var addrString = JSON.stringify(addr)
	try {
		var domainURL = "/plus/xmlhttp.do";
		var url = domainURL + "?command=addrAdd&key=-1";
		var http = new HttpLib()
		var response = http.open("POST", url, "addr=" + encodeURIComponent(addrString))
		var decoded = unescape(decodeURI(response)).replace(/\+/g, " ");
		eval("var addr = " + decoded)
		personBook.insertNewItem(addr.name, addr.email, addr.cphone, addr.homePhone, addr.officePhone)
		getGroupBook(-1).book.insertNewItem(addr.name, addr.email, addr.cphone, addr.homePhone, addr.officePhone)
		alert("߰Ǿϴ.")
		var totalCount = document.getElementById("totalCount").firstChild
		totalCount.nodeValue = parseInt(totalCount.nodeValue) + 1
		clearForm()
	} catch (e) {
		var msg = (typeof e == "string") ? e : ((e.message) ? e.message : "Unknown Error");
		alert("Unable to get XML data:\n" + msg);
		return;
	}
}
isDuplicateAddress = function(addr) {
	var addrs = personBook.addrArray
	for(var addrseq in addrs) {
		if(addrs[addrseq].name == addr.name) {
			alert("̹ ϴ ּҿ  ̸ ּҸ ߰Ͻ  ϴ. ٸ ̸ ּ.")
			return true
		}
		if(addr.email != "" && addrs[addrseq].email == addr.email) {
			alert("̹  ּҰ մϴ.")
			return true
		}
	}
	var groups = groupBooks
	for(var grpseq in groups) {
		if(groups[grpseq].name == addr.name) {
			alert("̹ ϴ ׷  ̸ ּҸ ߰Ͻ  ϴ. ٸ ̸ ּ.")
			return true
		}
	}
	return false
}
validateAddress = function(addr) {
	if(addr.name == "") {
		alert("̸ ʼ׸Դϴ.")
		return false
	} else if(addr.name.indexOf("#") != -1 || addr.name.indexOf(",") != -1) {
		alert("\"#\"  \",\"  ̸ Ͻ  ϴ.")
		return false
	} else if(addr.email != "" && !FormValidator.email(addr.email)) {
		alert("̸  ùٸ ʽϴ.")
		return false
	} else if(addr.cphone != "" && !FormValidator.phone(addr.cphone)) {
		alert("ڵ  ùٸ ʽϴ.")
		return false
	} else if(addr.homePhone != "" && !FormValidator.phone(addr.homePhone)) {
		alert(" ȭȣ  ùٸ ʽϴ.")
		return false
	} else if(addr.officePhone != "" && !FormValidator.phone(addr.officePhone)) {
		alert("ȸ ȭȣ  ùٸ ʽϴ.")
		return false
	} else {
		return true
	}
}
clearForm = function() {
	document.getElementById("newItemName").value = ""
	document.getElementById("newItemEmail").value = ""
	document.getElementById("newItemPhone1").value = ""
	document.getElementById("newItemPhone2").value = ""
	document.getElementById("newItemPhone3").value = ""
}
submitForm = function() {
	var form = document.getElementById("form");
	form.TO.value = selectListToCsv("mailTo");
	form.CC.value = selectListToCsv("mailCc");
	form.BCC.value = selectListToCsv("mailBcc");
	form.submit();
}
selectListToCsv = function(id) {
	var select = document.getElementById(id);
	var array = new Array();
	for(var i = 0; i < select.options.length; i++) {
		var entity = select.options[i].text;
		var registeredAddr = select.options[i]._registeredAddr;
		if(registeredAddr) {
			if(isCP) {
				array.push('"' + entity.substring(0, entity.lastIndexOf(" ")) + '"' 
					+ '<' + entity.substring(entity.lastIndexOf(" ") + 1) + '>');
			} else {
				if(useEmail) {
					array.push(entity.substring(entity.lastIndexOf(" ") + 1));
				} else {
					array.push("#" + entity.substring(0, entity.lastIndexOf(" ")));
				}
			}
		} else {
			array.push(entity);
		}
	}
	return array.join(",");
}
assignPreincludedAddrs = function(addrBook, keys) {
	var f = function(key, id) {
		var list = document.getElementById(id)
		if(!list) {
			return
		}
		
		var queryValues = Util.getQuery(key)
		if(queryValues == null || queryValues == "") { 
			return
		} else if(queryValues == "hm_disable") {
			return
		}
		
		var url = unescape(decodeURIComponent(queryValues).replace(/\+/g, " "))
		var values = Trim(url).split(",")
		for(var i = 0; i < values.length; i++) {
			var optionElement = document.createElement("option")
			var registeredAddr = Trim(values[i]).indexOf("@") == -1
			var nameAndEmail = registeredAddr ? getNameAndMailFromName(addrBook, keys, Trim(values[i])) : Trim(values[i]);
			optionElement._registeredAddr = registeredAddr
			optionElement.value = nameAndEmail
			list.appendChild(optionElement)
			
			var label = document.createTextNode(nameAndEmail)
			optionElement.appendChild(label)
		}
	}
	
	f("TO", "mailTo")
	f("CC", "mailCc")
	f("BCC", "mailBcc")
}
getNameAndMailFromName = function(addrBook, keys, name) {
	var addrArray = addrBook.addrArray
	for(var i = 0; i < addrArray.length; i++) {
		if(addrArray[i].name == name) {
			return addrArray[i][keys[0]] + " " + addrArray[i][keys[1]]
		}
	}
	return name + " (׷)"
}